#include <string>
#include <list>

using std::string;
using std::list;

#include "classes.hh"

class Plain
{
    char cmd;
    defclassvar(string, parm, const string &, getparm)
public:
    Plain(char type, const string &p): cmd(type), parm(p) { }
    
    void setparm(const string &s);
    
    bool operator== (const Plain &b) const;
    inline bool operator!= (const Plain &b) const { return ! operator==(b); }
    
    char cmdchar() const { return cmd; }
    static unsigned groupcount() { return 1; }
    static bool needsparm() { return true; }
    static bool compatible(const Plain &) { return false; }
    
    void dump() const;
};

extern string strgroup(const list<Plain> &);
